#include<iostream>
#include<algorithm>
using namespace std;


int main()
{
long long n,x,mmin,mmax;
cin>>n>>x;
long long *p=new long long[1000000];
cin>>p[0];
mmin=p[0];
mmax=p[0];
for(long long i=1;i<n;i++){
     cin>>p[i];
     mmax=max(mmax,p[i]);
     mmin=min(mmin,p[i]);
}
if(x>mmax)
  cout<<x-mmin;
   else{
      if(x<mmin)
         cout<<mmax-x;
      else
         cout<<min(mmax-x+mmax-mmin,x-mmin+mmax-mmin);
}


return 0;
}